Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.operators
Class DualHashTable.PartitionInfo

    java.lang.Object
      unity.operators.DualHashTable.PartitionInfo

Enclosing class:
  DualHashTable

    public class DualHashTable.PartitionInfo

extends java.lang.Object

Field Summary
`int` | `currentPartitionSize`
`int` | `endIndex`
`java.util.ArrayList` | `fileNames`
`java.util.ArrayList` | `flushTimes`
`int` | `numFlushes`
`int` | `numTuples`
`java.io.BufferedOutputStream` | `outputFile`
`Page` | `outputPage`
`int` | `partitionNum`
`java.util.ArrayList` | `partitionSizes`
`java.util.ArrayList` | `probeTimes`
`int` | `startIndex`
`int` | `state`

Constructor Summary
`DualHashTable.PartitionInfo(int num, int si, int ei)`

Method Summary
`int` | `addTupleToOutputPage(Tuple t)`
`void` | `clear()`
`int` | `close()`
`boolean` | `createNewOutputFile(int source, int timestamp)`
`int` | `getFileIdx()`
`int` | `getLongestProbeTime(int minSize)`
`int` | `getNumFiles()`
`int` | `getNumTuples()`
`int` | `getPartitionSize(int idx)`
`int` | `getState()`
`void` | `init()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### numTuples

    public int numTuples

### state

    public int state

### startIndex

    public int startIndex

### endIndex

    public int endIndex

### partitionNum

    public int partitionNum

### numFlushes

    public int numFlushes

### fileNames

    public java.util.ArrayList fileNames

### outputFile

    public java.io.BufferedOutputStream outputFile

### flushTimes

    public java.util.ArrayList flushTimes

### partitionSizes

    public java.util.ArrayList partitionSizes

### currentPartitionSize

    public int currentPartitionSize

### probeTimes

    public java.util.ArrayList probeTimes

### outputPage

    public Page outputPage

Constructor Detail

### DualHashTable.PartitionInfo

    public DualHashTable.PartitionInfo(int num,
                                       int si,
                                       int ei)

Method Detail

### getNumTuples

    public int getNumTuples()

### getState

    public int getState()

### getFileIdx

    public int getFileIdx()

### getNumFiles

    public int getNumFiles()

### getPartitionSize

    public int getPartitionSize(int idx)

### getLongestProbeTime

    public int getLongestProbeTime(int minSize)

### init

    public void init()

### clear

    public void clear()

### close

    public int close()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### addTupleToOutputPage

    public int addTupleToOutputPage(Tuple t)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### createNewOutputFile

    public boolean createNewOutputFile(int source,
                                       int timestamp)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD